Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class VIF.Record

    java.lang.Object
      com.xensource.xenapi.VIF.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  VIF

    public static class VIF.Record

extends Object
implements Types.Record

Represents all the fields in a VIF

Field Summary
`Set<Types.VifOperations>` | `allowedOperations` list of the operations allowed in this state.
`Boolean` | `currentlyAttached` is the device currently attached (erased on reboot)
`Map<String,Types.VifOperations>` | `currentOperations` links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.
`String` | `device` order in which VIF backends are created by xapi
`Set<String>` | `ipv4Allowed` A list of IPv4 addresses which can be used to filter traffic passing through this VIF
`Set<String>` | `ipv6Allowed` A list of IPv6 addresses which can be used to filter traffic passing through this VIF
`Types.VifLockingMode` | `lockingMode` current locking mode of the VIF
`String` | `MAC` ethernet MAC address of virtual interface, as exposed to guest
`Boolean` | `MACAutogenerated` true if the MAC was autogenerated; false indicates it was set manually
`VIFMetrics` | `metrics` metrics associated with this VIF
`Long` | `MTU` MTU in octets
`Network` | `network` virtual network to which this vif is connected
`Map<String,String>` | `otherConfig` additional configuration
`Map<String,String>` | `qosAlgorithmParams` parameters for chosen QoS algorithm
`String` | `qosAlgorithmType` QoS algorithm to use
`Set<String>` | `qosSupportedAlgorithms` supported QoS algorithms for this VIF
`Map<String,String>` | `runtimeProperties` Device runtime properties
`Long` | `statusCode` error/success code associated with last attach-operation (erased on reboot)
`String` | `statusDetail` error/success information associated with last attach-operation status (erased on reboot)
`String` | `uuid` Unique identifier/object reference
`VM` | `VM` virtual machine to which this vif is connected

Constructor Summary
`VIF.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a VIF.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### allowedOperations

    public Set<Types.VifOperations> allowedOperations

  list of the operations allowed in this state. This list is advisory only and the server state may have changed by the time this field is read by a client.

### currentOperations

    public Map<String,Types.VifOperations> currentOperations

  links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.

### device

    public String device

  order in which VIF backends are created by xapi

### network

    public Network network

  virtual network to which this vif is connected

### VM

    public VM VM

  virtual machine to which this vif is connected

### MAC

    public String MAC

  ethernet MAC address of virtual interface, as exposed to guest

### MTU

    public Long MTU

  MTU in octets

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### currentlyAttached

    public Boolean currentlyAttached

  is the device currently attached (erased on reboot)

### statusCode

    public Long statusCode

  error/success code associated with last attach-operation (erased on reboot)

### statusDetail

    public String statusDetail

  error/success information associated with last attach-operation status (erased on reboot)

### runtimeProperties

    public Map<String,String> runtimeProperties

  Device runtime properties

### qosAlgorithmType

    public String qosAlgorithmType

  QoS algorithm to use

### qosAlgorithmParams

    public Map<String,String> qosAlgorithmParams

  parameters for chosen QoS algorithm

### qosSupportedAlgorithms

    public Set<String> qosSupportedAlgorithms

  supported QoS algorithms for this VIF

### metrics

    public VIFMetrics metrics

  metrics associated with this VIF

### MACAutogenerated

    public Boolean MACAutogenerated

  true if the MAC was autogenerated; false indicates it was set manually

### lockingMode

    public Types.VifLockingMode lockingMode

  current locking mode of the VIF

### ipv4Allowed

    public Set<String> ipv4Allowed

  A list of IPv4 addresses which can be used to filter traffic passing through this VIF

### ipv6Allowed

    public Set<String> ipv6Allowed

  A list of IPv6 addresses which can be used to filter traffic passing through this VIF

Constructor Detail

### VIF.Record

    public VIF.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a VIF.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD